Subject: Sshd: password authentication failed
From: [email-masked] (Ville Herva)

14 Jun 1998 11:55:20 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]

Basically I get this:
user@unix-host:/home/user>ssh -v -v -v win32-host -l user
SSH Version 1.2.22 [i586-unknown-linux], protocol version 1.5.
Standard version.  Does not use RSAREF.
SSH Version 1.2.22 [i586-unknown-linux], protocol version 1.5.
Standard version.  Does not use RSAREF.
SSH Version 1.2.22 [i586-unknown-linux], protocol version 1.5.
Standard version.  Does not use RSAREF.
unix-host.domain.ctry: Reading configuration data /etc/ssh_config
unix-host.domain.ctry: ssh_connect: getuid 1414 geteuid 1414 anon 1
unix-host.domain.ctry: Connecting to win32-host [ip.ip.ip.ip] port 22.
unix-host.domain.ctry: Connection established.
unix-host.domain.ctry: Remote protocol version 1.5, remote software version 1.2.25
unix-host.domain.ctry: Waiting for server public key.
unix-host.domain.ctry: Received server public key (768 bits) and host key (1024 bits).
unix-host.domain.ctry: Initializing random; seed file /home/user/.ssh/random_seed
unix-host.domain.ctry: Encryption type: idea
unix-host.domain.ctry: Sent encrypted session key.
unix-host.domain.ctry: Received encrypted confirmation.
unix-host.domain.ctry: No agent.
unix-host.domain.ctry: Trying RSA authentication with key [email-masked]'
unix-host.domain.ctry: Server refused our key.
unix-host.domain.ctry: Doing password authentication.
user@win32-host's password: [correct win32-password - tried it also in uppercase] 
Permission denied.
user@unix-host:/home/user>

user@win32-host>/usr/local/sbin/sshd -d -d -d
debug: sshd version 1.2.25 [i586-pc-cygwin32]
debug: Initializing random number generator; seed file /etc/ssh_random_seed
log: Server listening on port 22.
log: Generating 768 bit RSA key.
Generating p:  ..............++ (distance 116)
Generating q:  .................++ (distance 248)
Computing the keys...
Testing the keys...
Key generation complete.
log: RSA key generation complete.
debug: Server will not fork when running in debugging mode.
log: Connection from ip.ip.ip.ip port 5846
debug: Client protocol version 1.5; client software version 1.2.22
debug: Sent 768 bit public key and 1024 bit host key.
debug: Encryption type: idea
debug: Received session key; encryption turned on.
debug: Installing crc compensation attack detector
debug: Attempting authentication for user.
debug: RSA authentication for user failed.
debug: Password authentication for user failed.
fatal: Connection closed by remote host.
debug: Calling cleanup 0x40eee0(0x0)

user@win32-host>cat /etc/passwd
user::1002:513:John User:/home/user:/bin/sh

The mounts are binary, CYGWIN_TTY=1 and CYGWIN32=tty.

What am I doing wrong here? I can't get in from localhost either. 
(Ssh work fine, though).

The sshd is the newest from Sergey as you can see. 

Thanks for the excellent work anyway, I am particularry satisfied 
with xemacs 21!

-- v --

[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".